quorum/install.sh

54 lines
1.3 KiB
Bash
Raw Normal View History

2014-06-26 14:04:46 -07:00
#!/bin/sh
if [ "$1" == "" ]; then
2014-11-20 12:02:24 -08:00
echo "Usage $0 executable branch"
echo "executable ethereum | mist"
echo "branch develop | master"
2014-06-26 14:04:46 -07:00
exit
fi
exe=$1
path=$exe
2014-06-26 14:04:46 -07:00
branch=$2
2014-11-20 12:02:24 -08:00
if [ "$branch" == "develop" ]; then
path="cmd/$exe"
2014-11-20 12:02:24 -08:00
fi
2014-06-26 14:04:46 -07:00
# Test if go is installed
command -v go >/dev/null 2>&1 || { echo >&2 "Unable to find 'go'. This script requires go."; exit 1; }
# Test if $GOPATH is set
if [ "$GOPATH" == "" ]; then
echo "\$GOPATH not set"
exit
fi
echo "changing branch to $branch"
cd $GOPATH/src/github.com/ethereum/go-ethereum
2014-06-26 14:04:46 -07:00
git checkout $branch
# installing package dependencies doesn't work for develop
# branch as go get always pulls from master head
# so build will continue to fail, but this installs locally
# for people who git clone since go install will manage deps
#echo "go get -u -d github.com/ethereum/go-ethereum/$path"
#go get -v -u -d github.com/ethereum/go-ethereum/$path
#if [ $? != 0 ]; then
# echo "go get failed"
# exit
#fi
2014-11-21 05:05:52 -08:00
cd $GOPATH/src/github.com/ethereum/go-ethereum/$path
2014-06-26 14:04:46 -07:00
if [ "$exe" == "mist" ]; then
echo "Building Mist GUI. Assuming Qt is installed. If this step"
2014-06-26 14:04:46 -07:00
echo "fails; please refer to: https://github.com/ethereum/go-ethereum/wiki/Building-Ethereum(Go)"
else
echo "Building ethereum CLI."
fi
go install
2014-06-26 14:06:04 -07:00
echo "done. Please run $exe :-)"